#!/usr/bin/python
# Copyright (c) 2017 VMware, Inc.  All rights reserved.
import os, sys
from bag import Bag
from interface import UbuntuInterface

interfaces_file='/etc/network/interfaces'
bag = Bag('properties.xml')

for i in range(32):
    sysfs_eth = '/sys/class/net/eth%s' % i

    if not os.path.exists(sysfs_eth):
        break

    if bag.has_key('VirtualMachine.Network%s.Address' % i):
        interfaces_lines = open(interfaces_file).readlines()
        intf = UbuntuInterface(bag, i)
        s = "\n".join(intf.lines(interfaces_lines)) + "\n"
        open(interfaces_file, 'w').write(s)

# vim: sw=4 ts=4 et
