#!/usr/bin/python2
# Copyright (c) 2017 VMware, Inc.  All rights reserved.

import sys
from bag import Bag
from resolv_conf import ResolvConf

bag = Bag('properties.xml')

key = sys.argv[1]
if bag.has_key(key):
    value = bag[key]
    unicodeValue = ''
    for c in value:
        if (ord(c) < 128):
            unicodeValue += c
        else:
            unicodeValue += '\u%04X' % ord(c)
    print unicodeValue
else:
    print 'False'

# vim: sw=4 ts=4 et
